unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, XPMan, zAPIBalloon, jpeg, ExtCtrls, ShellApi, zBalloon;

type
  TForm1 = class(TForm)
    XPManifest1: TXPManifest;
    Label3: TLabel;
    Edit3: TEdit;
    Label4: TLabel;
    Memo1: TMemo;
    Button4: TButton;
    Image1: TImage;
    Button6: TButton;
    URL: TLabel;
    Image3: TImage;
    Image4: TImage;
    EMAIL: TLabel;
    ZB: TzBalloon;
    Button5: TButton;
    Button7: TButton;
    Button9: TButton;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure EMAILClick(Sender: TObject);
    procedure URLClick(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);


  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Balloon : TzAPIBalloon;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  ZB.ShowHint(Image1);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  if ZB.MsgYN('Do you really want to exit <b><c=clMaroon>zBalloon</b></c> Demo?') then Close;
end;

procedure TForm1.EMAILClick(Sender: TObject);
begin
  ShellExecute(0, nil, PChar('mailto:' + EMAIL.Caption), nil, nil, SW_NORMAL);
end;

procedure TForm1.URLClick(Sender: TObject);
begin
  ShellExecute(0, nil, PChar(URL.Caption), nil, nil, SW_NORMAL);
end;

procedure TForm1.Button5Click(Sender: TObject);
var s: string;
begin
  ZB.InputOptions.Min := 1;
  ZB.InputOptions.Max := 8;
  if ZB.Input(s, 'Please enter new value...', 'Input dialog example') then
    ZB.ShowMsg('New Value: <b>' + s);
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  if ZB.MsgYN('<b><c=clRed>zBalloon</b></c> is a cool component, Isn''t it?') then
    ZB.ShowMsg('I think so.')
  else ZB.ShowMsg('Why? Mail to me: <c=clBlue><u>finances-ltd@narod.ru');
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
  ZB.ShowError('This is error message!', '', Button9);
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  ZB.MsgOK(Memo1.Text, Edit3.Text);
end;

procedure TForm1.Button2Click(Sender: TObject);
var s: string;
    i: Integer;
begin
  with ZB, InputOptions do begin
    BoxList.Clear;
    BoxList.Add('CheckBox <c:clRed>Item1');      // Delphi color (Don't use <c=clRed>)
    BoxList.Add('CheckBox <c:#FF0000>Item2');    // Same as Html Color
    BoxList.Add('CheckBox <c:clRed>Item3');
    if InputCheck('<b><c:clMaroon>Please check any item...</b></c>') then begin
      s := '';
      for i := 0 to Pred(BoxList.Count) do
        if BoxList.ValueFromIndex[i] = '1' then
          s := s + BoxList.Names[i] + '<br>';

      if s <> '' then begin
        s := '<b>Checked Items list:</b><br><br>' + s;
        MsgOK(s);
      end
      else ShowMsg('Checked item(s) not found.');
    end;
  end;
end;

procedure TForm1.Button3Click(Sender: TObject);
var s: string;
    i: Integer;
begin
  with ZB, InputOptions do begin
    BoxList.Clear;
    BoxList.Add('RadioButton <b>1');
    BoxList.Add('RadioButton <b>2');
    BoxList.Add('RadioButton <b>3');
    i := InputRadio('<b><c:clMaroon>Please check any item...</b></c>');
    if i <> -1 then begin
      s := '<b>Checked Item:</b><br><br>' + BoxList[i];
      MsgOK(s);
    end
    else ShowMsg('Checked item not found.');
  end;
end;

end.
